Bug 838292 - [rhevm-dwh] - logrotate - DWH Log is not log-rotating correctly
[rhevm-dwh] - logrotate - DWH Log is not log-rotating correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Yaniv Lavi (Dary)
David Botzer
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 06:22 EDT by David Botzer
Modified: 2014-01-13 19:03 EST (History)
7 users (show)

See Also:
Fixed In Version: SI11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logrotateSize (438.03 KB, application/x-gzip)
2012-07-08 06:22 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-07-08 06:22:04 EDT
Description of problem:
The ETL Log file (ovirt-engine-dwhd.log) gets larger and larger (currently 30MB and growing)

Version-Release number of selected component (if applicable):
3.1/si8

How reproducible:
always

Steps to Reproduce:
1.install rhevm 3.1/si8 + DWH
2.run rhevm-setup + ovirt-engine-dwh-setup
3.Configure entities in Webadmin
4.Check the ETL Log file (ovirt-engine-dwhd.log) in /var/log/ovirt-engine
  
Actual results:
File is too big

Expected results:
Should keep an appropiate file size (approx 1-2 MB)

Additional info:
See log attached
Comment 1 David Botzer 2012-07-08 06:22:26 EDT
Created attachment 596866 [details]
logrotateSize
Comment 2 Yaniv Kaul 2012-07-15 08:01:24 EDT
It should rotate every 10MB, just like engine.
Comment 3 Yaniv Lavi (Dary) 2012-07-16 05:46:24 EDT
Fixed in patch:
http://gerrit.ovirt.org/#/c/6319/


Yaniv
Comment 4 David Botzer 2012-08-07 07:53:03 EDT
Fixed, 3.1/si13.1
dwh log file is rotating at 11M once a day
ovirt-engine-dwhd.log
Fixed, 3.1/si13.1

Note You need to log in before you can comment on or make changes to this bug.